Internet Explorer Version 6 can't log in.

If you're trying to order from our Desktop Software and you have an old (version 6 or lower) version of Internet Explorer, you'll see a message asking you to upgrade before trying to place the order.

Please cancel the order and exit the software, upgrade your Internet Explorer and try again.

 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk